package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.User;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;


import java.util.List;

/**
 * 文件名：UserService
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
public interface UserService extends UserDetailsService {
    public List<User> getAll();
    public List<User> getUsers(User user);
    public User getOne(Integer id);
    public void insert(User user);
    public void update(User user);
    public void delete(Integer id);
    @Override
    public UserDetails loadUserByUsername(String username);
    public int queryCountByJob(User user);
    public List<User> getAllCheckmans();
    public List<User> getFsUserByDeptId(User user);
    public List<User> getWGUserByDeptId(User user);
}
